Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Interface CSSOMSVGColor.ModificationHandler

All Known Subinterfaces:
  CSSOMSVGPaint.PaintModificationHandler

All Known Implementing Classes:
  CSSOMSVGColor.AbstractModificationHandler, CSSOMSVGPaint.AbstractModificationHandler

Enclosing class:
  CSSOMSVGColor

    public static interface CSSOMSVGColor.ModificationHandler

To manage the modifications on a CSS value.

Method Summary
`void` | `blueFloatValueChanged(short unit, float value)` Called when the blue float value has changed.
`void` | `blueTextChanged(String text)` Called when the blue value text has changed.
`void` | `colorAppend(float f)` Called when the ICC color has been append.
`void` | `colorChanged(short type, String rgb, String icc)` Called when the SVGColor has changed.
`void` | `colorInsertedBefore(float f, int idx)` Called when the ICC color has been inserted.
`void` | `colorProfileChanged(String cp)` Called when the ICC color profile has changed.
`void` | `colorRemoved(int idx)` Called when the ICC color has been removed.
`void` | `colorReplaced(float f, int idx)` Called when the ICC color has been replaced.
`void` | `colorsCleared()` Called when the ICC colors has changed.
`void` | `colorsInitialized(float f)` Called when the ICC colors has been initialized.
`void` | `greenFloatValueChanged(short unit, float value)` Called when the green float value has changed.
`void` | `greenTextChanged(String text)` Called when the green value text has changed.
`void` | `redFloatValueChanged(short unit, float value)` Called when the red float value has changed.
`void` | `redTextChanged(String text)` Called when the red value text has changed.
`void` | `rgbColorChanged(String text)` Called when the RGBColor text has changed.
`void` | `rgbColorICCColorChanged(String rgb, String icc)` Called when the RGBColor and the ICCColor text has changed.
`void` | `textChanged(String text)` Called when the value text has changed.

Method Detail

### textChanged

    void textChanged(String text)
                     throws DOMException

  Called when the value text has changed.

  Throws:
    `DOMException`

### redTextChanged

    void redTextChanged(String text)
                        throws DOMException

  Called when the red value text has changed.

  Throws:
    `DOMException`

### redFloatValueChanged

    void redFloatValueChanged(short unit,
                              float value)
                              throws DOMException

  Called when the red float value has changed.

  Throws:
    `DOMException`

### greenTextChanged

    void greenTextChanged(String text)
                          throws DOMException

  Called when the green value text has changed.

  Throws:
    `DOMException`

### greenFloatValueChanged

    void greenFloatValueChanged(short unit,
                                float value)
                                throws DOMException

  Called when the green float value has changed.

  Throws:
    `DOMException`

### blueTextChanged

    void blueTextChanged(String text)
                         throws DOMException

  Called when the blue value text has changed.

  Throws:
    `DOMException`

### blueFloatValueChanged

    void blueFloatValueChanged(short unit,
                               float value)
                               throws DOMException

  Called when the blue float value has changed.

  Throws:
    `DOMException`

### rgbColorChanged

    void rgbColorChanged(String text)
                         throws DOMException

  Called when the RGBColor text has changed.

  Throws:
    `DOMException`

### rgbColorICCColorChanged

    void rgbColorICCColorChanged(String rgb,
                                 String icc)
                                 throws DOMException

  Called when the RGBColor and the ICCColor text has changed.

  Throws:
    `DOMException`

### colorChanged

    void colorChanged(short type,
                      String rgb,
                      String icc)
                      throws DOMException

  Called when the SVGColor has changed.

  Throws:
    `DOMException`

### colorProfileChanged

    void colorProfileChanged(String cp)
                             throws DOMException

  Called when the ICC color profile has changed.

  Throws:
    `DOMException`

### colorsCleared

    void colorsCleared()
                       throws DOMException

  Called when the ICC colors has changed.

  Throws:
    `DOMException`

### colorsInitialized

    void colorsInitialized(float f)
                           throws DOMException

  Called when the ICC colors has been initialized.

  Throws:
    `DOMException`

### colorInsertedBefore

    void colorInsertedBefore(float f,
                             int idx)
                             throws DOMException

  Called when the ICC color has been inserted.

  Throws:
    `DOMException`

### colorReplaced

    void colorReplaced(float f,
                       int idx)
                       throws DOMException

  Called when the ICC color has been replaced.

  Throws:
    `DOMException`

### colorRemoved

    void colorRemoved(int idx)
                      throws DOMException

  Called when the ICC color has been removed.

  Throws:
    `DOMException`

### colorAppend

    void colorAppend(float f)
                     throws DOMException

  Called when the ICC color has been append.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.